# sllibc

SecureLang Library for C

## Features

* A subset of traditional libc features (e.g. provides `printf`)
* Some support for high level language features like garbage collection
* Simple copyright, with only small exceptions the code was written by me

## Limitations

* Doesn't support all legacy functions (e.g. doesn't provide `scanf`)
* Incomplete support for error handling, multithreading, signals etc.
* Currently used for testing in-house systems so not readily buildable/testable on commodity platforms
