L=libc
LIBC = $L/_libc_internal.o $L/_libc_stdio.o $L/_libc_memory.o $L/_libc_string.o $L/_libc_stdlib.o $L/_libc_ctype.o $L/_libc_misc.o $L/_libc_math.o $U/usys.o
LIBCH = $L/include/

# Note: Add -DLIBC_OOP for object-oriented FILE

_libc_%.o: %.c $(LIBCH)
	$(CC) $(CFLAGS_MANDATORY) -I$L/include -c -o $@ $<

_libc_%: _libc_%.o $(LIBC)
	$(LD) $(LDFLAGS) -T $L/link.ld -o $@ $^
	$(OBJDUMP) -S $@ > $*.asm
	$(OBJDUMP) -t $@ | sed '1,/SYMBOL TABLE/d; s/ .* / /; /^$$/d' > $*.sym
