OUTPUT_ARCH("riscv")
ENTRY(_libc_start)

SECTIONS {
	. = 0;
	.text : {
		. = ALIGN(4);
		*(.text)
	}
	.rodata : {
		. = ALIGN(16);
		*(.rodata)
	}
	. = ALIGN(4096);
	.data : {
		. = ALIGN(16);
		*(.data)
	}
	.bss : {
		. = ALIGN(16);
		*(.bss)
	}
	
	PROVIDE(_libc_programend = .);
}
